# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: plutus/api/plutus.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from plutus.api import money_pb2 as plutus_dot_api_dot_money__pb2
from weclikd.common import subscription_pb2 as weclikd_dot_common_dot_subscription__pb2
from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2
from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='plutus/api/plutus.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x17plutus/api/plutus.proto\x12\x07weclikd\x1a\x16plutus/api/money.proto\x1a!weclikd/common/subscription.proto\x1a\x14\x61tlas/api/like.proto\x1a\x1fgoogle/protobuf/timestamp.proto\"\xf4\x01\n\x16PaySubscriptionRequest\x12\x34\n\x04type\x18\x01 \x01(\x0e\x32&.weclikd.Subscription.SubscriptionType\x12\x12\n\npayment_id\x18\x02 \x01(\t\x12\r\n\x05\x65mail\x18\x03 \x01(\t\x12\x44\n\x07pricing\x18\x04 \x01(\x0e\x32\x33.weclikd.PaySubscriptionRequest.PricingIntervalType\";\n\x13PricingIntervalType\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0b\n\x07MONTHLY\x10\x01\x12\n\n\x06YEARLY\x10\x02\"\x19\n\x17PaySubscriptionResponse\"\x1b\n\x19\x43\x61ncelSubscriptionRequest\"\x1c\n\x1a\x43\x61ncelSubscriptionResponse\"\x17\n\x15GetPaymentInfoRequest\"\xc3\x01\n\x16GetPaymentInfoResponse\x12:\n\x04\x63\x61rd\x18\x01 \x01(\x0b\x32*.weclikd.GetPaymentInfoResponse.CreditCardH\x00\x1a^\n\nCreditCard\x12\r\n\x05last4\x18\x01 \x01(\t\x12\x11\n\texp_month\x18\x02 \x01(\r\x12\x10\n\x08\x65xp_year\x18\x03 \x01(\r\x12\r\n\x05\x62rand\x18\x04 \x01(\t\x12\r\n\x05\x65mail\x18\x05 \x01(\tB\r\n\x0bPaymentInfo\"\x16\n\x14GetPayoutInfoRequest\"D\n\x15GetPayoutInfoResponse\x12\x1a\n\x12has_stripe_account\x18\x01 \x01(\x08\x12\x0f\n\x07\x62\x61lance\x18\x02 \x01(\x02\"=\n\x18\x43hangePaymentInfoRequest\x12\x12\n\npayment_id\x18\x01 \x01(\t\x12\r\n\x05\x65mail\x18\x02 \x01(\t\"\x1b\n\x19\x43hangePaymentInfoResponse\"\x16\n\x14\x41\x64\x64PayoutInfoRequest\"\x17\n\x15\x41\x64\x64PayoutInfoResponse\"\x1a\n\x18GetAccountBalanceRequest\">\n\x19GetAccountBalanceResponse\x12!\n\x07\x62\x61lance\x18\x01 \x01(\x0b\x32\x10.weclikd.Balance\"!\n\x1fGetAccountBalanceHistoryRequest\"E\n GetAccountBalanceHistoryResponse\x12!\n\x07\x62\x61lance\x18\x01 \x01(\x0b\x32\x10.weclikd.Balance\"k\n\x15GetLikesReportRequest\x12)\n\x05start\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\'\n\x03\x65nd\x18\x02 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\"7\n\x16GetLikesReportResponse\x12\x1d\n\x05likes\x18\x01 \x03(\x0b\x32\x0e.weclikd.Likes2\xcb\x05\n\x06Plutus\x12V\n\x0fPaySubscription\x12\x1f.weclikd.PaySubscriptionRequest\x1a .weclikd.PaySubscriptionResponse\"\x00\x12_\n\x12\x43\x61ncelSubscription\x12\".weclikd.CancelSubscriptionRequest\x1a#.weclikd.CancelSubscriptionResponse\"\x00\x12S\n\x0eGetPaymentInfo\x12\x1e.weclikd.GetPaymentInfoRequest\x1a\x1f.weclikd.GetPaymentInfoResponse\"\x00\x12P\n\rGetPayoutInfo\x12\x1d.weclikd.GetPayoutInfoRequest\x1a\x1e.weclikd.GetPayoutInfoResponse\"\x00\x12\\\n\x11\x43hangePaymentInfo\x12!.weclikd.ChangePaymentInfoRequest\x1a\".weclikd.ChangePaymentInfoResponse\"\x00\x12P\n\rAddPayoutInfo\x12\x1d.weclikd.AddPayoutInfoRequest\x1a\x1e.weclikd.AddPayoutInfoResponse\"\x00\x12\\\n\x11GetAccountBalance\x12!.weclikd.GetAccountBalanceRequest\x1a\".weclikd.GetAccountBalanceResponse\"\x00\x12S\n\x0eGetLikesReport\x12\x1e.weclikd.GetLikesReportRequest\x1a\x1f.weclikd.GetLikesReportResponse\"\x00\x62\x06proto3'
  ,
  dependencies=[plutus_dot_api_dot_money__pb2.DESCRIPTOR,weclikd_dot_common_dot_subscription__pb2.DESCRIPTOR,atlas_dot_api_dot_like__pb2.DESCRIPTOR,google_dot_protobuf_dot_timestamp__pb2.DESCRIPTOR,])



_PAYSUBSCRIPTIONREQUEST_PRICINGINTERVALTYPE = _descriptor.EnumDescriptor(
  name='PricingIntervalType',
  full_name='weclikd.PaySubscriptionRequest.PricingIntervalType',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='MONTHLY', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='YEARLY', index=2, number=2,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=336,
  serialized_end=395,
)
_sym_db.RegisterEnumDescriptor(_PAYSUBSCRIPTIONREQUEST_PRICINGINTERVALTYPE)


_PAYSUBSCRIPTIONREQUEST = _descriptor.Descriptor(
  name='PaySubscriptionRequest',
  full_name='weclikd.PaySubscriptionRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.PaySubscriptionRequest.type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='payment_id', full_name='weclikd.PaySubscriptionRequest.payment_id', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email', full_name='weclikd.PaySubscriptionRequest.email', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='pricing', full_name='weclikd.PaySubscriptionRequest.pricing', index=3,
      number=4, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _PAYSUBSCRIPTIONREQUEST_PRICINGINTERVALTYPE,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=151,
  serialized_end=395,
)


_PAYSUBSCRIPTIONRESPONSE = _descriptor.Descriptor(
  name='PaySubscriptionResponse',
  full_name='weclikd.PaySubscriptionResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=397,
  serialized_end=422,
)


_CANCELSUBSCRIPTIONREQUEST = _descriptor.Descriptor(
  name='CancelSubscriptionRequest',
  full_name='weclikd.CancelSubscriptionRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=424,
  serialized_end=451,
)


_CANCELSUBSCRIPTIONRESPONSE = _descriptor.Descriptor(
  name='CancelSubscriptionResponse',
  full_name='weclikd.CancelSubscriptionResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=453,
  serialized_end=481,
)


_GETPAYMENTINFOREQUEST = _descriptor.Descriptor(
  name='GetPaymentInfoRequest',
  full_name='weclikd.GetPaymentInfoRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=483,
  serialized_end=506,
)


_GETPAYMENTINFORESPONSE_CREDITCARD = _descriptor.Descriptor(
  name='CreditCard',
  full_name='weclikd.GetPaymentInfoResponse.CreditCard',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='last4', full_name='weclikd.GetPaymentInfoResponse.CreditCard.last4', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='exp_month', full_name='weclikd.GetPaymentInfoResponse.CreditCard.exp_month', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='exp_year', full_name='weclikd.GetPaymentInfoResponse.CreditCard.exp_year', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='brand', full_name='weclikd.GetPaymentInfoResponse.CreditCard.brand', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email', full_name='weclikd.GetPaymentInfoResponse.CreditCard.email', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=595,
  serialized_end=689,
)

_GETPAYMENTINFORESPONSE = _descriptor.Descriptor(
  name='GetPaymentInfoResponse',
  full_name='weclikd.GetPaymentInfoResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='card', full_name='weclikd.GetPaymentInfoResponse.card', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[_GETPAYMENTINFORESPONSE_CREDITCARD, ],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='PaymentInfo', full_name='weclikd.GetPaymentInfoResponse.PaymentInfo',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=509,
  serialized_end=704,
)


_GETPAYOUTINFOREQUEST = _descriptor.Descriptor(
  name='GetPayoutInfoRequest',
  full_name='weclikd.GetPayoutInfoRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=706,
  serialized_end=728,
)


_GETPAYOUTINFORESPONSE = _descriptor.Descriptor(
  name='GetPayoutInfoResponse',
  full_name='weclikd.GetPayoutInfoResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='has_stripe_account', full_name='weclikd.GetPayoutInfoResponse.has_stripe_account', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='balance', full_name='weclikd.GetPayoutInfoResponse.balance', index=1,
      number=2, type=2, cpp_type=6, label=1,
      has_default_value=False, default_value=float(0),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=730,
  serialized_end=798,
)


_CHANGEPAYMENTINFOREQUEST = _descriptor.Descriptor(
  name='ChangePaymentInfoRequest',
  full_name='weclikd.ChangePaymentInfoRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='payment_id', full_name='weclikd.ChangePaymentInfoRequest.payment_id', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='email', full_name='weclikd.ChangePaymentInfoRequest.email', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=800,
  serialized_end=861,
)


_CHANGEPAYMENTINFORESPONSE = _descriptor.Descriptor(
  name='ChangePaymentInfoResponse',
  full_name='weclikd.ChangePaymentInfoResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=863,
  serialized_end=890,
)


_ADDPAYOUTINFOREQUEST = _descriptor.Descriptor(
  name='AddPayoutInfoRequest',
  full_name='weclikd.AddPayoutInfoRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=892,
  serialized_end=914,
)


_ADDPAYOUTINFORESPONSE = _descriptor.Descriptor(
  name='AddPayoutInfoResponse',
  full_name='weclikd.AddPayoutInfoResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=916,
  serialized_end=939,
)


_GETACCOUNTBALANCEREQUEST = _descriptor.Descriptor(
  name='GetAccountBalanceRequest',
  full_name='weclikd.GetAccountBalanceRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=941,
  serialized_end=967,
)


_GETACCOUNTBALANCERESPONSE = _descriptor.Descriptor(
  name='GetAccountBalanceResponse',
  full_name='weclikd.GetAccountBalanceResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='balance', full_name='weclikd.GetAccountBalanceResponse.balance', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=969,
  serialized_end=1031,
)


_GETACCOUNTBALANCEHISTORYREQUEST = _descriptor.Descriptor(
  name='GetAccountBalanceHistoryRequest',
  full_name='weclikd.GetAccountBalanceHistoryRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1033,
  serialized_end=1066,
)


_GETACCOUNTBALANCEHISTORYRESPONSE = _descriptor.Descriptor(
  name='GetAccountBalanceHistoryResponse',
  full_name='weclikd.GetAccountBalanceHistoryResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='balance', full_name='weclikd.GetAccountBalanceHistoryResponse.balance', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1068,
  serialized_end=1137,
)


_GETLIKESREPORTREQUEST = _descriptor.Descriptor(
  name='GetLikesReportRequest',
  full_name='weclikd.GetLikesReportRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='start', full_name='weclikd.GetLikesReportRequest.start', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='end', full_name='weclikd.GetLikesReportRequest.end', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1139,
  serialized_end=1246,
)


_GETLIKESREPORTRESPONSE = _descriptor.Descriptor(
  name='GetLikesReportResponse',
  full_name='weclikd.GetLikesReportResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='likes', full_name='weclikd.GetLikesReportResponse.likes', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1248,
  serialized_end=1303,
)

_PAYSUBSCRIPTIONREQUEST.fields_by_name['type'].enum_type = weclikd_dot_common_dot_subscription__pb2._SUBSCRIPTION_SUBSCRIPTIONTYPE
_PAYSUBSCRIPTIONREQUEST.fields_by_name['pricing'].enum_type = _PAYSUBSCRIPTIONREQUEST_PRICINGINTERVALTYPE
_PAYSUBSCRIPTIONREQUEST_PRICINGINTERVALTYPE.containing_type = _PAYSUBSCRIPTIONREQUEST
_GETPAYMENTINFORESPONSE_CREDITCARD.containing_type = _GETPAYMENTINFORESPONSE
_GETPAYMENTINFORESPONSE.fields_by_name['card'].message_type = _GETPAYMENTINFORESPONSE_CREDITCARD
_GETPAYMENTINFORESPONSE.oneofs_by_name['PaymentInfo'].fields.append(
  _GETPAYMENTINFORESPONSE.fields_by_name['card'])
_GETPAYMENTINFORESPONSE.fields_by_name['card'].containing_oneof = _GETPAYMENTINFORESPONSE.oneofs_by_name['PaymentInfo']
_GETACCOUNTBALANCERESPONSE.fields_by_name['balance'].message_type = plutus_dot_api_dot_money__pb2._BALANCE
_GETACCOUNTBALANCEHISTORYRESPONSE.fields_by_name['balance'].message_type = plutus_dot_api_dot_money__pb2._BALANCE
_GETLIKESREPORTREQUEST.fields_by_name['start'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_GETLIKESREPORTREQUEST.fields_by_name['end'].message_type = google_dot_protobuf_dot_timestamp__pb2._TIMESTAMP
_GETLIKESREPORTRESPONSE.fields_by_name['likes'].message_type = atlas_dot_api_dot_like__pb2._LIKES
DESCRIPTOR.message_types_by_name['PaySubscriptionRequest'] = _PAYSUBSCRIPTIONREQUEST
DESCRIPTOR.message_types_by_name['PaySubscriptionResponse'] = _PAYSUBSCRIPTIONRESPONSE
DESCRIPTOR.message_types_by_name['CancelSubscriptionRequest'] = _CANCELSUBSCRIPTIONREQUEST
DESCRIPTOR.message_types_by_name['CancelSubscriptionResponse'] = _CANCELSUBSCRIPTIONRESPONSE
DESCRIPTOR.message_types_by_name['GetPaymentInfoRequest'] = _GETPAYMENTINFOREQUEST
DESCRIPTOR.message_types_by_name['GetPaymentInfoResponse'] = _GETPAYMENTINFORESPONSE
DESCRIPTOR.message_types_by_name['GetPayoutInfoRequest'] = _GETPAYOUTINFOREQUEST
DESCRIPTOR.message_types_by_name['GetPayoutInfoResponse'] = _GETPAYOUTINFORESPONSE
DESCRIPTOR.message_types_by_name['ChangePaymentInfoRequest'] = _CHANGEPAYMENTINFOREQUEST
DESCRIPTOR.message_types_by_name['ChangePaymentInfoResponse'] = _CHANGEPAYMENTINFORESPONSE
DESCRIPTOR.message_types_by_name['AddPayoutInfoRequest'] = _ADDPAYOUTINFOREQUEST
DESCRIPTOR.message_types_by_name['AddPayoutInfoResponse'] = _ADDPAYOUTINFORESPONSE
DESCRIPTOR.message_types_by_name['GetAccountBalanceRequest'] = _GETACCOUNTBALANCEREQUEST
DESCRIPTOR.message_types_by_name['GetAccountBalanceResponse'] = _GETACCOUNTBALANCERESPONSE
DESCRIPTOR.message_types_by_name['GetAccountBalanceHistoryRequest'] = _GETACCOUNTBALANCEHISTORYREQUEST
DESCRIPTOR.message_types_by_name['GetAccountBalanceHistoryResponse'] = _GETACCOUNTBALANCEHISTORYRESPONSE
DESCRIPTOR.message_types_by_name['GetLikesReportRequest'] = _GETLIKESREPORTREQUEST
DESCRIPTOR.message_types_by_name['GetLikesReportResponse'] = _GETLIKESREPORTRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

PaySubscriptionRequest = _reflection.GeneratedProtocolMessageType('PaySubscriptionRequest', (_message.Message,), {
  'DESCRIPTOR' : _PAYSUBSCRIPTIONREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.PaySubscriptionRequest)
  })
_sym_db.RegisterMessage(PaySubscriptionRequest)

PaySubscriptionResponse = _reflection.GeneratedProtocolMessageType('PaySubscriptionResponse', (_message.Message,), {
  'DESCRIPTOR' : _PAYSUBSCRIPTIONRESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.PaySubscriptionResponse)
  })
_sym_db.RegisterMessage(PaySubscriptionResponse)

CancelSubscriptionRequest = _reflection.GeneratedProtocolMessageType('CancelSubscriptionRequest', (_message.Message,), {
  'DESCRIPTOR' : _CANCELSUBSCRIPTIONREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CancelSubscriptionRequest)
  })
_sym_db.RegisterMessage(CancelSubscriptionRequest)

CancelSubscriptionResponse = _reflection.GeneratedProtocolMessageType('CancelSubscriptionResponse', (_message.Message,), {
  'DESCRIPTOR' : _CANCELSUBSCRIPTIONRESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CancelSubscriptionResponse)
  })
_sym_db.RegisterMessage(CancelSubscriptionResponse)

GetPaymentInfoRequest = _reflection.GeneratedProtocolMessageType('GetPaymentInfoRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETPAYMENTINFOREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPaymentInfoRequest)
  })
_sym_db.RegisterMessage(GetPaymentInfoRequest)

GetPaymentInfoResponse = _reflection.GeneratedProtocolMessageType('GetPaymentInfoResponse', (_message.Message,), {

  'CreditCard' : _reflection.GeneratedProtocolMessageType('CreditCard', (_message.Message,), {
    'DESCRIPTOR' : _GETPAYMENTINFORESPONSE_CREDITCARD,
    '__module__' : 'plutus.api.plutus_pb2'
    # @@protoc_insertion_point(class_scope:weclikd.GetPaymentInfoResponse.CreditCard)
    })
  ,
  'DESCRIPTOR' : _GETPAYMENTINFORESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPaymentInfoResponse)
  })
_sym_db.RegisterMessage(GetPaymentInfoResponse)
_sym_db.RegisterMessage(GetPaymentInfoResponse.CreditCard)

GetPayoutInfoRequest = _reflection.GeneratedProtocolMessageType('GetPayoutInfoRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETPAYOUTINFOREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPayoutInfoRequest)
  })
_sym_db.RegisterMessage(GetPayoutInfoRequest)

GetPayoutInfoResponse = _reflection.GeneratedProtocolMessageType('GetPayoutInfoResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETPAYOUTINFORESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPayoutInfoResponse)
  })
_sym_db.RegisterMessage(GetPayoutInfoResponse)

ChangePaymentInfoRequest = _reflection.GeneratedProtocolMessageType('ChangePaymentInfoRequest', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEPAYMENTINFOREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangePaymentInfoRequest)
  })
_sym_db.RegisterMessage(ChangePaymentInfoRequest)

ChangePaymentInfoResponse = _reflection.GeneratedProtocolMessageType('ChangePaymentInfoResponse', (_message.Message,), {
  'DESCRIPTOR' : _CHANGEPAYMENTINFORESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ChangePaymentInfoResponse)
  })
_sym_db.RegisterMessage(ChangePaymentInfoResponse)

AddPayoutInfoRequest = _reflection.GeneratedProtocolMessageType('AddPayoutInfoRequest', (_message.Message,), {
  'DESCRIPTOR' : _ADDPAYOUTINFOREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AddPayoutInfoRequest)
  })
_sym_db.RegisterMessage(AddPayoutInfoRequest)

AddPayoutInfoResponse = _reflection.GeneratedProtocolMessageType('AddPayoutInfoResponse', (_message.Message,), {
  'DESCRIPTOR' : _ADDPAYOUTINFORESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.AddPayoutInfoResponse)
  })
_sym_db.RegisterMessage(AddPayoutInfoResponse)

GetAccountBalanceRequest = _reflection.GeneratedProtocolMessageType('GetAccountBalanceRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTBALANCEREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountBalanceRequest)
  })
_sym_db.RegisterMessage(GetAccountBalanceRequest)

GetAccountBalanceResponse = _reflection.GeneratedProtocolMessageType('GetAccountBalanceResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTBALANCERESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountBalanceResponse)
  })
_sym_db.RegisterMessage(GetAccountBalanceResponse)

GetAccountBalanceHistoryRequest = _reflection.GeneratedProtocolMessageType('GetAccountBalanceHistoryRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTBALANCEHISTORYREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountBalanceHistoryRequest)
  })
_sym_db.RegisterMessage(GetAccountBalanceHistoryRequest)

GetAccountBalanceHistoryResponse = _reflection.GeneratedProtocolMessageType('GetAccountBalanceHistoryResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETACCOUNTBALANCEHISTORYRESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetAccountBalanceHistoryResponse)
  })
_sym_db.RegisterMessage(GetAccountBalanceHistoryResponse)

GetLikesReportRequest = _reflection.GeneratedProtocolMessageType('GetLikesReportRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETLIKESREPORTREQUEST,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetLikesReportRequest)
  })
_sym_db.RegisterMessage(GetLikesReportRequest)

GetLikesReportResponse = _reflection.GeneratedProtocolMessageType('GetLikesReportResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETLIKESREPORTRESPONSE,
  '__module__' : 'plutus.api.plutus_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetLikesReportResponse)
  })
_sym_db.RegisterMessage(GetLikesReportResponse)



_PLUTUS = _descriptor.ServiceDescriptor(
  name='Plutus',
  full_name='weclikd.Plutus',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=1306,
  serialized_end=2021,
  methods=[
  _descriptor.MethodDescriptor(
    name='PaySubscription',
    full_name='weclikd.Plutus.PaySubscription',
    index=0,
    containing_service=None,
    input_type=_PAYSUBSCRIPTIONREQUEST,
    output_type=_PAYSUBSCRIPTIONRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='CancelSubscription',
    full_name='weclikd.Plutus.CancelSubscription',
    index=1,
    containing_service=None,
    input_type=_CANCELSUBSCRIPTIONREQUEST,
    output_type=_CANCELSUBSCRIPTIONRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPaymentInfo',
    full_name='weclikd.Plutus.GetPaymentInfo',
    index=2,
    containing_service=None,
    input_type=_GETPAYMENTINFOREQUEST,
    output_type=_GETPAYMENTINFORESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPayoutInfo',
    full_name='weclikd.Plutus.GetPayoutInfo',
    index=3,
    containing_service=None,
    input_type=_GETPAYOUTINFOREQUEST,
    output_type=_GETPAYOUTINFORESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ChangePaymentInfo',
    full_name='weclikd.Plutus.ChangePaymentInfo',
    index=4,
    containing_service=None,
    input_type=_CHANGEPAYMENTINFOREQUEST,
    output_type=_CHANGEPAYMENTINFORESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='AddPayoutInfo',
    full_name='weclikd.Plutus.AddPayoutInfo',
    index=5,
    containing_service=None,
    input_type=_ADDPAYOUTINFOREQUEST,
    output_type=_ADDPAYOUTINFORESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetAccountBalance',
    full_name='weclikd.Plutus.GetAccountBalance',
    index=6,
    containing_service=None,
    input_type=_GETACCOUNTBALANCEREQUEST,
    output_type=_GETACCOUNTBALANCERESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetLikesReport',
    full_name='weclikd.Plutus.GetLikesReport',
    index=7,
    containing_service=None,
    input_type=_GETLIKESREPORTREQUEST,
    output_type=_GETLIKESREPORTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_PLUTUS)

DESCRIPTOR.services_by_name['Plutus'] = _PLUTUS

# @@protoc_insertion_point(module_scope)
